{ =========================================================================== }
{ Pulldir-.pas - Submenu pull-down directory interface.     ver 5.X, 01-07-89 }
{                                                                             }
{ Only uses 56 global bytes of data.                                          }
{   Copyright (c) 1987-1989 James H. LeMay, All rights reserved.              }
{ =========================================================================== }

{ R-,S-,I-,D-,T-,F-,V-,B-,N-,L+ }         { TP4 directives }
{$A-,B-,D-,E-,F-,I-,L-,N-,O-,R-,S-,V-}    { TP5 directives }

{$define UseHelpWndwCode }
{$define UseMsgLineCode }

UNIT PullDir;

INTERFACE

uses
  DOS,Qwik,Wutil,Wndw,Pull;

type
  FileNameStr = string[12];
  DirectoryMenuRec = record
    Title:                   string[9];
    MenuLines,
    Row,Col,Rows,Cols,
    HiLiteLine,
    Battr,Wattr,Hattr:       byte;
    Border:                  Borders;
    MsgLineNum, HelpWndwNum: byte
  end;

var
  DirectoryMenu: DirectoryMenuRec;

const
  FileMask:  FileNameStr = '*.*';

procedure PullDirectory (VAR NameToChange: FileNameStr;
                             NameToHiLite: FileNameStr);

IMPLEMENTATION

END.
